// code by jph

jFont=SDL_LoadBMP("res/jfont.bmp");         // each character is 7x11 pixels
jFond=SDL_LoadBMP("res/jfond.bmp");         // each character is 7x11 pixels
jFong=SDL_LoadBMP("res/jfong.bmp");         // each character is 7x11 pixels
jFonr=SDL_LoadBMP("res/jfonr.bmp");         // each character is 7x11 pixels
SDL_SetColorKey(jFont,SDL_SRCCOLORKEY,SDL_MapRGB(jFont->format,255,255,255));   // transparancy in between the letters
SDL_SetColorKey(jFond,SDL_SRCCOLORKEY,SDL_MapRGB(jFond->format,000,000,000));   // transparancy in between the letters
SDL_SetColorKey(jFong,SDL_SRCCOLORKEY,SDL_MapRGB(jFong->format,255,255,255));   // transparancy in between the letters
SDL_SetColorKey(jFonr,SDL_SRCCOLORKEY,SDL_MapRGB(jFong->format,255,255,255));   // transparancy in between the letters

jBarR=SDL_LoadBMP("res/jbarr.bmp");         // 100x11 pixel progress bar RED in vista style
jBarG=SDL_LoadBMP("res/jbarg.bmp");         // 100x11 pixel progress bar GRE in vista style
jBarB=SDL_LoadBMP("res/jbarb.bmp");         // 100x11 pixel progress bar BLU in vista style
jBarV=SDL_LoadBMP("res/jbarv.bmp");         // 100x11 pixel progress bar VIO in vista style
jBarY=SDL_LoadBMP("res/jbary.bmp");         // 100x11 pixel progress bar YEL in vista style
jBarT=SDL_LoadBMP("res/jbart.bmp");         // 100x11 pixel progress bar TUR in vista style
jBarO=SDL_LoadBMP("res/jbaro.bmp");         // 100x11 pixel progress bar ORA in vista style

jSDL_PixelFormat.palette=NULL;
jSDL_PixelFormat.BitsPerPixel=32;
jSDL_PixelFormat.BytesPerPixel=4;
jSDL_PixelFormat.Amask=0xff000000;
jSDL_PixelFormat.Rmask=0x00ff0000;
jSDL_PixelFormat.Gmask=0x0000ff00;
jSDL_PixelFormat.Bmask=0x000000ff;  
jSDL_PixelFormat.Ashift=24;
jSDL_PixelFormat.Rshift=16;
jSDL_PixelFormat.Gshift=8;
jSDL_PixelFormat.Bshift=0;
jSDL_PixelFormat.Aloss=0;
jSDL_PixelFormat.Rloss=0;
jSDL_PixelFormat.Gloss=0;
jSDL_PixelFormat.Bloss=0;  
jSDL_PixelFormat.colorkey=0;
jSDL_PixelFormat.alpha=0; // AUTSCH!?  


jMarker.data[0]= 0.0815f; jMarker.data[4]=-0.7622f; jMarker.data[ 8]=-0.6421f; jMarker.data[12]=100; 
jMarker.data[1]= 0.7622f; jMarker.data[5]= 0.4628f; jMarker.data[ 9]=-0.4526f; jMarker.data[13]= 10;
jMarker.data[2]= 0.6421f; jMarker.data[6]=-0.4526f; jMarker.data[10]= 0.6187f; jMarker.data[14]=  2;


for (c1=0;c1<240;c1+=24)
  jFoV[jFOV++]=320*c1;

for (c1=0;c1<320;c1+=64)
  jFoV[jFOV++]=320*239+c1;

for (c1=0;c1<240;c1+=24)
  jFoV[jFOV++]=320*(239-c1)+319;

for (c1=0;c1<320;c1+=10)
  jFoV[jFOV++]=319-c1;
  
  
float one=1.0f,rt2=sqrt(2.0),rt5=sqrt(5.0);  
  
jRouteOfs[ 0]=  -jMAP_W-1; jRouteFac[ 0]=rt2;
jRouteOfs[ 1]=  -jMAP_W+1; jRouteFac[ 1]=rt2;
jRouteOfs[ 2]=   jMAP_W+1; jRouteFac[ 2]=rt2;
jRouteOfs[ 3]=   jMAP_W-1; jRouteFac[ 3]=rt2;
jRouteOfs[ 4]=   1;        jRouteFac[ 4]=one;
jRouteOfs[ 5]=  -jMAP_W;   jRouteFac[ 5]=one;
jRouteOfs[ 6]=  -1;        jRouteFac[ 6]=one;
jRouteOfs[ 7]=   jMAP_W;   jRouteFac[ 7]=one;
jRouteOfs[ 8]=-2*jMAP_W-1; jRouteFac[ 8]=rt5;
jRouteOfs[ 9]=-2*jMAP_W+1; jRouteFac[ 9]=rt5;
jRouteOfs[10]= 2*jMAP_W+1; jRouteFac[10]=rt5;
jRouteOfs[11]= 2*jMAP_W-1; jRouteFac[11]=rt5;
jRouteOfs[12]=  -jMAP_W-2; jRouteFac[12]=rt5;
jRouteOfs[13]=  -jMAP_W+2; jRouteFac[13]=rt5;
jRouteOfs[14]=   jMAP_W+2; jRouteFac[14]=rt5;
jRouteOfs[15]=   jMAP_W-2; jRouteFac[15]=rt5;

jCamL2gnd.data[0]=-0.146889;
jCamL2gnd.data[1]=-0.114137;
jCamL2gnd.data[2]=-0.153715;
jCamL2gnd.data[3]=-0.151852;
jCamL2gnd.data[4]=0.187859;
jCamL2gnd.data[5]=0.047420;
jCamL2gnd.data[6]=0.355354;
jCamL2gnd.data[7]=-0.058458;
jCamL2gnd.data[8]=0.230532;
jCamL2gnd.data[9]=-0.337966;
jCamL2gnd.data[10]=0.030912;
jCamL2gnd.data[11]=-0.126420;
jCamL2gnd.data[12]=-0.021336;
jCamL2gnd.data[13]=0.944761;
jCamL2gnd.data[14]=-1.783008;
jCamL2gnd.data[15]=-0.231111;
jCamL2gnd.data[16]=-0.151198;
jCamL2gnd.data[17]=0.435459;
jCamL2gnd.data[18]=0.150084;
jCamL2gnd.data[19]=-0.131941;
jCamL2gnd.data[20]=-0.078062;
jCamL2gnd.data[21]=-0.003761;
jCamL2gnd.data[22]=0.265814;
jCamL2gnd.data[23]=-0.024704;
jCamL2gnd.data[24]=0.059880;
jCamL2gnd.data[25]=0.029485;
jCamL2gnd.data[26]=0.231843;
jCamL2gnd.data[27]=-0.021958;
jCamL2gnd.data[28]=-1.521121;
jCamL2gnd.data[29]=1.787354;
jCamL2gnd.data[30]=-0.031112;
jCamL2gnd.data[31]=0.217329;
jCamL2gnd.data[32]=0.057381;
jCamL2gnd.data[33]=-1.540103;
jCamL2gnd.data[34]=2.740605;
jCamL2gnd.data[35]=0.382217;
jCamL2gnd.data[36]=0.185663;
jCamL2gnd.data[37]=-0.791030;
jCamL2gnd.data[38]=-0.221816;
jCamL2gnd.data[39]=0.263785;
jCamL2gnd.data[40]=0.386151;
jCamL2gnd.data[41]=0.013128;
jCamL2gnd.data[42]=-0.962657;
jCamL2gnd.data[43]=0.059157;
jCamL2gnd.data[44]=-0.141105;
jCamL2gnd.data[45]=-0.049223;
jCamL2gnd.data[46]=-0.981509;
jCamL2gnd.data[47]=0.032997;
jCamL2gnd.data[48]=4.477448;
jCamL2gnd.data[49]=-5.451827;
jCamL2gnd.data[50]=-0.436570;
jCamL2gnd.data[51]=-0.009490;
jCamL2gnd.data[52]=1.063492;
jCamL2gnd.data[53]=-0.021727;
jCamL2gnd.data[54]=0.006644;
jCamL2gnd.data[55]=0.012192;
jCamL2gnd.data[56]=0.962996;
jCamL2gnd.data[57]=0.002296;
jCamL2gnd.data[58]=-3.571806;
jCamL2gnd.data[59]=4.527170;

jGnd2camL.data[0]=3.726552;
jGnd2camL.data[1]=-0.368413;
jGnd2camL.data[2]=-3.985722;
jGnd2camL.data[3]=1.621848;
jGnd2camL.data[4]=-1.431113;
jGnd2camL.data[5]=0.858182;
jGnd2camL.data[6]=-1.753376;
jGnd2camL.data[7]=-1.239133;
jGnd2camL.data[8]=3.850819;
jGnd2camL.data[9]=-1.097950;
jGnd2camL.data[10]=1.245000;
jGnd2camL.data[11]=-0.235346;
jGnd2camL.data[12]=-0.888702;
jGnd2camL.data[13]=-0.793924;
jGnd2camL.data[14]=0.835852;
jGnd2camL.data[15]=2.092023;
jGnd2camL.data[16]=-0.079240;
jGnd2camL.data[17]=-2.095172;
jGnd2camL.data[18]=0.150233;
jGnd2camL.data[19]=-0.049227;
jGnd2camL.data[20]=-1.940807;
jGnd2camL.data[21]=0.147946;
jGnd2camL.data[22]=1.133010;
jGnd2camL.data[23]=-0.265156;
jGnd2camL.data[24]=0.059593;
jGnd2camL.data[25]=-0.025210;
jGnd2camL.data[26]=0.253349;
jGnd2camL.data[27]=0.023267;
jGnd2camL.data[28]=0.164762;
jGnd2camL.data[29]=-1.443443;
jGnd2camL.data[30]=-1.477051;
jGnd2camL.data[31]=1.123640;
jGnd2camL.data[32]=1.371542;
jGnd2camL.data[33]=-1.999950;
jGnd2camL.data[34]=-1.784796;
jGnd2camL.data[35]=-0.155062;
jGnd2camL.data[36]=0.096012;
jGnd2camL.data[37]=-1.365904;
jGnd2camL.data[38]=-0.174246;
jGnd2camL.data[39]=0.104479;
jGnd2camL.data[40]=3.065337;
jGnd2camL.data[41]=-0.204523;
jGnd2camL.data[42]=-1.331047;
jGnd2camL.data[43]=0.367620;
jGnd2camL.data[44]=0.088183;
jGnd2camL.data[45]=-0.067469;
jGnd2camL.data[46]=0.141334;
jGnd2camL.data[47]=0.092285;
jGnd2camL.data[48]=-1.778552;
jGnd2camL.data[49]=0.507798;
jGnd2camL.data[50]=-2.773316;
jGnd2camL.data[51]=0.028435;
jGnd2camL.data[52]=4.543733;
jGnd2camL.data[53]=-0.130046;
jGnd2camL.data[54]=0.121370;
jGnd2camL.data[55]=0.010892;
jGnd2camL.data[56]=0.601463;
jGnd2camL.data[57]=0.014118;
jGnd2camL.data[58]=-1.983057;
jGnd2camL.data[59]=3.322050;

jCamR2gnd.data[0]=-0.091198;
jCamR2gnd.data[1]=0.067143;
jCamR2gnd.data[2]=-0.155231;
jCamR2gnd.data[3]=-0.094336;
jCamR2gnd.data[4]=0.153593;
jCamR2gnd.data[5]=0.030779;
jCamR2gnd.data[6]=0.117138;
jCamR2gnd.data[7]=-0.055983;
jCamR2gnd.data[8]=0.291233;
jCamR2gnd.data[9]=-0.366601;
jCamR2gnd.data[10]=0.063787;
jCamR2gnd.data[11]=-0.100922;
jCamR2gnd.data[12]=-0.070220;
jCamR2gnd.data[13]=0.883589;
jCamR2gnd.data[14]=-1.842179;
jCamR2gnd.data[15]=-0.283781;
jCamR2gnd.data[16]=-0.080329;
jCamR2gnd.data[17]=0.470746;
jCamR2gnd.data[18]=0.368004;
jCamR2gnd.data[19]=-0.224214;
jCamR2gnd.data[20]=-0.120601;
jCamR2gnd.data[21]=0.063070;
jCamR2gnd.data[22]=0.309013;
jCamR2gnd.data[23]=-0.008855;
jCamR2gnd.data[24]=-0.057852;
jCamR2gnd.data[25]=0.031684;
jCamR2gnd.data[26]=0.612916;
jCamR2gnd.data[27]=-0.022296;
jCamR2gnd.data[28]=-1.933771;
jCamR2gnd.data[29]=1.973562;
jCamR2gnd.data[30]=-0.090653;
jCamR2gnd.data[31]=0.191239;
jCamR2gnd.data[32]=0.104560;
jCamR2gnd.data[33]=-1.477761;
jCamR2gnd.data[34]=2.805548;
jCamR2gnd.data[35]=0.441102;
jCamR2gnd.data[36]=0.153361;
jCamR2gnd.data[37]=-0.837556;
jCamR2gnd.data[38]=-0.440948;
jCamR2gnd.data[39]=0.299754;
jCamR2gnd.data[40]=0.482944;
jCamR2gnd.data[41]=-0.118303;
jCamR2gnd.data[42]=-1.070167;
jCamR2gnd.data[43]=-0.040677;
jCamR2gnd.data[44]=0.197468;
jCamR2gnd.data[45]=-0.077566;
jCamR2gnd.data[46]=-1.810647;
jCamR2gnd.data[47]=0.073397;
jCamR2gnd.data[48]=5.390991;
jCamR2gnd.data[49]=-5.885883;
jCamR2gnd.data[50]=-0.495612;
jCamR2gnd.data[51]=0.045107;
jCamR2gnd.data[52]=1.130521;
jCamR2gnd.data[53]=0.082724;
jCamR2gnd.data[54]=-0.166663;
jCamR2gnd.data[55]=0.055526;
jCamR2gnd.data[56]=1.415982;
jCamR2gnd.data[57]=-0.057698;
jCamR2gnd.data[58]=-4.070123;
jCamR2gnd.data[59]=4.775149;

jGnd2camR.data[0]=1.816066;
jGnd2camR.data[1]=1.068695;
jGnd2camR.data[2]=-2.041258;
jGnd2camR.data[3]=-2.106297;
jGnd2camR.data[4]=1.046926;
jGnd2camR.data[5]=-0.417531;
jGnd2camR.data[6]=-0.860638;
jGnd2camR.data[7]=0.355256;
jGnd2camR.data[8]=1.672000;
jGnd2camR.data[9]=0.138592;
jGnd2camR.data[10]=2.046597;
jGnd2camR.data[11]=-0.466160;
jGnd2camR.data[12]=-1.823683;
jGnd2camR.data[13]=-0.302692;
jGnd2camR.data[14]=0.486417;
jGnd2camR.data[15]=1.773249;
jGnd2camR.data[16]=-0.311293;
jGnd2camR.data[17]=-1.826936;
jGnd2camR.data[18]=0.549656;
jGnd2camR.data[19]=-0.193755;
jGnd2camR.data[20]=-1.262574;
jGnd2camR.data[21]=0.185993;
jGnd2camR.data[22]=0.282378;
jGnd2camR.data[23]=-0.462759;
jGnd2camR.data[24]=0.070127;
jGnd2camR.data[25]=0.085560;
jGnd2camR.data[26]=0.170070;
jGnd2camR.data[27]=-0.342783;
jGnd2camR.data[28]=0.929254;
jGnd2camR.data[29]=-2.016012;
jGnd2camR.data[30]=-1.929502;
jGnd2camR.data[31]=1.418238;
jGnd2camR.data[32]=1.860562;
jGnd2camR.data[33]=-2.576031;
jGnd2camR.data[34]=-1.443082;
jGnd2camR.data[35]=0.134145;
jGnd2camR.data[36]=0.226454;
jGnd2camR.data[37]=-1.591782;
jGnd2camR.data[38]=-0.290221;
jGnd2camR.data[39]=0.127540;
jGnd2camR.data[40]=1.585122;
jGnd2camR.data[41]=-0.392964;
jGnd2camR.data[42]=0.510603;
jGnd2camR.data[43]=0.881540;
jGnd2camR.data[44]=-0.052355;
jGnd2camR.data[45]=-0.306967;
jGnd2camR.data[46]=0.470340;
jGnd2camR.data[47]=0.759646;
jGnd2camR.data[48]=-3.590268;
jGnd2camR.data[49]=1.696490;
jGnd2camR.data[50]=-1.990276;
jGnd2camR.data[51]=0.078632;
jGnd2camR.data[52]=3.565279;
jGnd2camR.data[53]=-0.083203;
jGnd2camR.data[54]=-0.133100;
jGnd2camR.data[55]=0.169329;
jGnd2camR.data[56]=0.347172;
jGnd2camR.data[57]=-0.388771;
jGnd2camR.data[58]=-0.917936;
jGnd2camR.data[59]=2.694466;

jRandu.data[0]=0.313930;
jRandu.data[1]=0.638193;
jRandu.data[2]=0.986567;
jRandu.data[3]=0.502876;
jRandu.data[4]=0.947703;
jRandu.data[5]=0.828026;
jRandu.data[6]=0.917557;
jRandu.data[7]=0.113080;
jRandu.data[8]=0.812126;
jRandu.data[9]=0.908263;
jRandu.data[10]=0.156376;
jRandu.data[11]=0.122119;
jRandu.data[12]=0.762666;
jRandu.data[13]=0.721800;
jRandu.data[14]=0.651640;
jRandu.data[15]=0.754023;
jRandu.data[16]=0.663162;
jRandu.data[17]=0.883494;
jRandu.data[18]=0.272157;
jRandu.data[19]=0.419433;
jRandu.data[20]=0.212994;
jRandu.data[21]=0.035600;
jRandu.data[22]=0.081164;
jRandu.data[23]=0.850567;
jRandu.data[24]=0.340203;
jRandu.data[25]=0.466155;
jRandu.data[26]=0.913763;
jRandu.data[27]=0.228577;
jRandu.data[28]=0.862045;
jRandu.data[29]=0.656619;
jRandu.data[30]=0.891183;
jRandu.data[31]=0.488144;
jRandu.data[32]=0.992646;
jRandu.data[33]=0.373326;
jRandu.data[34]=0.531378;
jRandu.data[35]=0.181316;
jRandu.data[36]=0.501944;
jRandu.data[37]=0.422195;
jRandu.data[38]=0.660427;
jRandu.data[39]=0.673653;
jRandu.data[40]=0.957330;
jRandu.data[41]=0.191866;
jRandu.data[42]=0.111216;
jRandu.data[43]=0.565054;
jRandu.data[44]=0.969166;
jRandu.data[45]=0.023744;
jRandu.data[46]=0.870216;
jRandu.data[47]=0.026877;
jRandu.data[48]=0.519529;
jRandu.data[49]=0.192291;
jRandu.data[50]=0.715689;
jRandu.data[51]=0.250673;
jRandu.data[52]=0.933865;
jRandu.data[53]=0.137189;
jRandu.data[54]=0.521622;
jRandu.data[55]=0.895202;
jRandu.data[56]=0.942387;
jRandu.data[57]=0.335083;
jRandu.data[58]=0.437364;
jRandu.data[59]=0.471156;
jRandu.data[60]=0.149310;
jRandu.data[61]=0.135864;
jRandu.data[62]=0.532498;
jRandu.data[63]=0.725789;
jRandu.data[64]=0.398703;
jRandu.data[65]=0.358419;
jRandu.data[66]=0.285279;
jRandu.data[67]=0.868635;
jRandu.data[68]=0.626413;
jRandu.data[69]=0.241172;
jRandu.data[70]=0.978082;
jRandu.data[71]=0.640501;
jRandu.data[72]=0.229849;
jRandu.data[73]=0.681335;
jRandu.data[74]=0.665823;
jRandu.data[75]=0.134718;
jRandu.data[76]=0.022493;
jRandu.data[77]=0.262199;
jRandu.data[78]=0.116515;
jRandu.data[79]=0.069318;
jRandu.data[80]=0.852930;
jRandu.data[81]=0.180331;
jRandu.data[82]=0.032419;
jRandu.data[83]=0.733926;
jRandu.data[84]=0.536517;
jRandu.data[85]=0.276030;
jRandu.data[86]=0.368458;
jRandu.data[87]=0.012886;
jRandu.data[88]=0.889206;
jRandu.data[89]=0.866021;
jRandu.data[90]=0.254247;
jRandu.data[91]=0.569481;
jRandu.data[92]=0.159265;
jRandu.data[93]=0.594364;
jRandu.data[94]=0.331100;
jRandu.data[95]=0.658613;
jRandu.data[96]=0.863634;
jRandu.data[97]=0.567623;
jRandu.data[98]=0.980481;
jRandu.data[99]=0.791832;
jRandu.data[100]=0.152594;
jRandu.data[101]=0.833027;
jRandu.data[102]=0.191863;
jRandu.data[103]=0.638987;
jRandu.data[104]=0.669000;
jRandu.data[105]=0.772088;
jRandu.data[106]=0.379818;
jRandu.data[107]=0.441585;
jRandu.data[108]=0.483060;
jRandu.data[109]=0.608106;
jRandu.data[110]=0.175996;
jRandu.data[111]=0.002026;
jRandu.data[112]=0.790224;
jRandu.data[113]=0.513609;
jRandu.data[114]=0.213229;
jRandu.data[115]=0.103450;
jRandu.data[116]=0.157337;
jRandu.data[117]=0.407515;
jRandu.data[118]=0.407757;
jRandu.data[119]=0.052693;
jRandu.data[120]=0.941815;
jRandu.data[121]=0.149972;
jRandu.data[122]=0.384374;
jRandu.data[123]=0.311059;
jRandu.data[124]=0.168534;
jRandu.data[125]=0.896648;
jRandu.data[126]=0.322724;
jRandu.data[127]=0.733996;
jRandu.data[128]=0.410904;
jRandu.data[129]=0.399794;
jRandu.data[130]=0.505522;
jRandu.data[131]=0.169306;
jRandu.data[132]=0.524745;
jRandu.data[133]=0.641203;
jRandu.data[134]=0.016197;
jRandu.data[135]=0.836852;
jRandu.data[136]=0.803462;
jRandu.data[137]=0.697785;
jRandu.data[138]=0.461888;
jRandu.data[139]=0.082613;
jRandu.data[140]=0.820717;
jRandu.data[141]=0.193020;
jRandu.data[142]=0.445355;
jRandu.data[143]=0.012958;
jRandu.data[144]=0.308742;
jRandu.data[145]=0.875351;
jRandu.data[146]=0.835259;
jRandu.data[147]=0.333095;
jRandu.data[148]=0.880705;
jRandu.data[149]=0.479687;
jRandu.data[150]=0.560817;
jRandu.data[151]=0.615909;
jRandu.data[152]=0.661899;
jRandu.data[153]=0.616633;
jRandu.data[154]=0.685140;
jRandu.data[155]=0.510153;
jRandu.data[156]=0.713961;
jRandu.data[157]=0.515208;
jRandu.data[158]=0.605866;
jRandu.data[159]=0.966703;
jRandu.data[160]=0.822117;
jRandu.data[161]=0.317751;
jRandu.data[162]=0.587697;
jRandu.data[163]=0.130202;
jRandu.data[164]=0.254354;
jRandu.data[165]=0.803031;
jRandu.data[166]=0.667846;
jRandu.data[167]=0.013626;
jRandu.data[168]=0.561579;
jRandu.data[169]=0.454561;
jRandu.data[170]=0.904949;
jRandu.data[171]=0.282159;
jRandu.data[172]=0.065034;
jRandu.data[173]=0.476592;
jRandu.data[174]=0.983712;
jRandu.data[175]=0.922350;
jRandu.data[176]=0.561196;
jRandu.data[177]=0.652325;
jRandu.data[178]=0.772680;
jRandu.data[179]=0.106176;
jRandu.data[180]=0.001073;
  
jRandn.data[0]=-0.432565;
jRandn.data[1]=-1.665584;
jRandn.data[2]=0.125332;
jRandn.data[3]=0.287676;
jRandn.data[4]=-1.146471;
jRandn.data[5]=1.190915;
jRandn.data[6]=1.189164;
jRandn.data[7]=-0.037633;
jRandn.data[8]=0.327292;
jRandn.data[9]=0.174639;
jRandn.data[10]=-0.186709;
jRandn.data[11]=0.725791;
jRandn.data[12]=-0.588317;
jRandn.data[13]=2.183186;
jRandn.data[14]=-0.136396;
jRandn.data[15]=0.113931;
jRandn.data[16]=1.066768;
jRandn.data[17]=0.059281;
jRandn.data[18]=-0.095648;
jRandn.data[19]=-0.832349;
jRandn.data[20]=0.294411;
jRandn.data[21]=-1.336182;
jRandn.data[22]=0.714325;
jRandn.data[23]=1.623562;
jRandn.data[24]=-0.691776;
jRandn.data[25]=0.857997;
jRandn.data[26]=1.254001;
jRandn.data[27]=-1.593730;
jRandn.data[28]=-1.440964;
jRandn.data[29]=0.571148;
jRandn.data[30]=-0.399886;
jRandn.data[31]=0.689997;
jRandn.data[32]=0.815622;
jRandn.data[33]=0.711908;
jRandn.data[34]=1.290250;
jRandn.data[35]=0.668601;
jRandn.data[36]=1.190838;
jRandn.data[37]=-1.202457;
jRandn.data[38]=-0.019790;
jRandn.data[39]=-0.156717;
jRandn.data[40]=-1.604086;
jRandn.data[41]=0.257304;
jRandn.data[42]=-1.056473;
jRandn.data[43]=1.415141;
jRandn.data[44]=-0.805090;
jRandn.data[45]=0.528743;
jRandn.data[46]=0.219321;
jRandn.data[47]=-0.921902;
jRandn.data[48]=-2.170674;
jRandn.data[49]=-0.059188;
jRandn.data[50]=-1.010634;
jRandn.data[51]=0.614463;
jRandn.data[52]=0.507741;
jRandn.data[53]=1.692430;
jRandn.data[54]=0.591283;
jRandn.data[55]=-0.643595;
jRandn.data[56]=0.380337;
jRandn.data[57]=-1.009116;
jRandn.data[58]=-0.019511;
jRandn.data[59]=-0.048221;
jRandn.data[60]=0.000043;
jRandn.data[61]=-0.317859;
jRandn.data[62]=1.095004;
jRandn.data[63]=-1.873990;
jRandn.data[64]=0.428183;
jRandn.data[65]=0.895638;
jRandn.data[66]=0.730957;
jRandn.data[67]=0.577857;
jRandn.data[68]=0.040314;
jRandn.data[69]=0.677089;
jRandn.data[70]=0.568900;
jRandn.data[71]=-0.255645;
jRandn.data[72]=-0.377469;
jRandn.data[73]=-0.295887;
jRandn.data[74]=-1.475135;
jRandn.data[75]=-0.234004;
jRandn.data[76]=0.118445;
jRandn.data[77]=0.314809;
jRandn.data[78]=1.443508;
jRandn.data[79]=-0.350975;
jRandn.data[80]=0.623234;
jRandn.data[81]=0.799049;
jRandn.data[82]=0.940890;
jRandn.data[83]=-0.992092;
jRandn.data[84]=0.212035;
jRandn.data[85]=0.237882;
jRandn.data[86]=-1.007763;
jRandn.data[87]=-0.742045;
jRandn.data[88]=1.082295;
jRandn.data[89]=-0.131500;
jRandn.data[90]=0.389880;
jRandn.data[91]=0.087987;
jRandn.data[92]=-0.635465;
jRandn.data[93]=-0.559573;
jRandn.data[94]=0.443653;
jRandn.data[95]=-0.949904;
jRandn.data[96]=0.781182;
jRandn.data[97]=0.568961;
jRandn.data[98]=-0.821714;
jRandn.data[99]=-0.265607;
jRandn.data[100]=-1.187777;
jRandn.data[101]=-2.202321;
jRandn.data[102]=0.986337;
jRandn.data[103]=-0.518635;
jRandn.data[104]=0.327368;
jRandn.data[105]=0.234057;
jRandn.data[106]=0.021466;
jRandn.data[107]=-1.003944;
jRandn.data[108]=-0.947146;
jRandn.data[109]=-0.374429;
jRandn.data[110]=-1.185886;
jRandn.data[111]=-1.055903;
jRandn.data[112]=1.472480;
jRandn.data[113]=0.055744;
jRandn.data[114]=-1.217317;
jRandn.data[115]=-0.041227;
jRandn.data[116]=-1.128344;
jRandn.data[117]=-1.349278;
jRandn.data[118]=-0.261102;
jRandn.data[119]=0.953465;
jRandn.data[120]=0.128644;
jRandn.data[121]=0.656468;
jRandn.data[122]=-1.167819;
jRandn.data[123]=-0.460605;
jRandn.data[124]=-0.262440;
jRandn.data[125]=-1.213152;
jRandn.data[126]=-1.319437;
jRandn.data[127]=0.931218;
jRandn.data[128]=0.011245;
jRandn.data[129]=-0.645146;
jRandn.data[130]=0.805729;
jRandn.data[131]=0.231626;
jRandn.data[132]=-0.989760;
jRandn.data[133]=1.339586;
jRandn.data[134]=0.289502;
jRandn.data[135]=1.478917;
jRandn.data[136]=1.138028;
jRandn.data[137]=-0.684139;
jRandn.data[138]=-1.291936;
jRandn.data[139]=-0.072926;
jRandn.data[140]=-0.330599;
jRandn.data[141]=-0.843628;
jRandn.data[142]=0.497770;
jRandn.data[143]=1.488490;
jRandn.data[144]=-0.546476;
jRandn.data[145]=-0.846758;
jRandn.data[146]=-0.246337;
jRandn.data[147]=0.663024;
jRandn.data[148]=-0.854197;
jRandn.data[149]=-1.201315;
jRandn.data[150]=-0.119869;
jRandn.data[151]=-0.065294;
jRandn.data[152]=0.485296;
jRandn.data[153]=-0.595491;
jRandn.data[154]=-0.149668;
jRandn.data[155]=-0.434752;
jRandn.data[156]=-0.079330;
jRandn.data[157]=1.535152;
jRandn.data[158]=-0.606483;
jRandn.data[159]=-1.347363;
jRandn.data[160]=0.469383;
jRandn.data[161]=-0.903567;
jRandn.data[162]=0.035880;
jRandn.data[163]=-0.627531;
jRandn.data[164]=0.535398;
jRandn.data[165]=0.552884;
jRandn.data[166]=-0.203690;
jRandn.data[167]=-2.054325;
jRandn.data[168]=0.132561;
jRandn.data[169]=1.592941;
jRandn.data[170]=1.018412;
jRandn.data[171]=-1.580402;
jRandn.data[172]=-0.078662;
jRandn.data[173]=-0.681657;
jRandn.data[174]=-1.024553;
jRandn.data[175]=-1.234353;
jRandn.data[176]=0.288807;
jRandn.data[177]=-0.429303;
jRandn.data[178]=0.055801;
jRandn.data[179]=-0.367874;
jRandn.data[180]=-0.464973;

jGestureX.data[0]=0.2225;
jGestureX.data[1]=-0.2658;
jGestureX.data[2]=0.0493;
jGestureX.data[3]=0.2401;
jGestureX.data[4]=0.2104;
jGestureX.data[5]=-0.2543;
jGestureX.data[6]=-0.0300;
jGestureX.data[7]=0.1490;
jGestureX.data[8]=0.1753;
jGestureX.data[9]=-0.2401;
jGestureX.data[10]=-0.1064;
jGestureX.data[11]=0.0607;
jGestureX.data[12]=0.1210;
jGestureX.data[13]=-0.2193;
jGestureX.data[14]=-0.1774;
jGestureX.data[15]=-0.0226;
jGestureX.data[16]=0.0535;
jGestureX.data[17]=-0.1679;
jGestureX.data[18]=-0.2357;
jGestureX.data[19]=-0.0927;
jGestureX.data[20]=-0.0200;
jGestureX.data[21]=-0.1424;
jGestureX.data[22]=-0.2530;
jGestureX.data[23]=-0.0491;
jGestureX.data[24]=-0.0915;
jGestureX.data[25]=-0.1231;
jGestureX.data[26]=-0.2011;
jGestureX.data[27]=0.0695;
jGestureX.data[28]=-0.1533;
jGestureX.data[29]=-0.1047;
jGestureX.data[30]=-0.1223;
jGestureX.data[31]=0.1792;
jGestureX.data[32]=-0.1986;
jGestureX.data[33]=-0.0841;
jGestureX.data[34]=-0.0365;
jGestureX.data[35]=0.2754;
jGestureX.data[36]=-0.2225;
jGestureX.data[37]=-0.0438;
jGestureX.data[38]=0.0521;
jGestureX.data[39]=0.2674;
jGestureX.data[40]=-0.2225;
jGestureX.data[41]=-0.0066;
jGestureX.data[42]=0.1420;
jGestureX.data[43]=0.1485;
jGestureX.data[44]=-0.1986;
jGestureX.data[45]=0.0160;
jGestureX.data[46]=0.2328;
jGestureX.data[47]=0.0255;
jGestureX.data[48]=-0.1533;
jGestureX.data[49]=0.0371;
jGestureX.data[50]=0.2530;
jGestureX.data[51]=-0.0967;
jGestureX.data[52]=-0.0915;
jGestureX.data[53]=0.0596;
jGestureX.data[54]=0.1746;
jGestureX.data[55]=-0.2142;
jGestureX.data[56]=-0.0200;
jGestureX.data[57]=0.0867;
jGestureX.data[58]=0.1016;
jGestureX.data[59]=-0.2754;
jGestureX.data[60]=0.0535;
jGestureX.data[61]=0.1318;
jGestureX.data[62]=0.0383;
jGestureX.data[63]=-0.1949;
jGestureX.data[64]=0.1210;
jGestureX.data[65]=0.1953;
jGestureX.data[66]=-0.0098;
jGestureX.data[67]=-0.0892;
jGestureX.data[68]=0.1753;
jGestureX.data[69]=0.2252;
jGestureX.data[70]=-0.0368;
jGestureX.data[71]=0.0224;
jGestureX.data[72]=0.2104;
jGestureX.data[73]=0.2473;
jGestureX.data[74]=-0.0405;
jGestureX.data[75]=0.1366;
jGestureX.data[76]=0.2225;
jGestureX.data[77]=0.2658;
jGestureX.data[78]=-0.0237;
jGestureX.data[79]=0.2524;

jGestureY.data[0]=0.0000;
jGestureY.data[1]=-0.1053;
jGestureY.data[2]=-0.2242;
jGestureY.data[3]=-0.2754;
jGestureY.data[4]=0.0725;
jGestureY.data[5]=-0.0117;
jGestureY.data[6]=-0.1817;
jGestureY.data[7]=-0.1969;
jGestureY.data[8]=0.1371;
jGestureY.data[9]=0.0816;
jGestureY.data[10]=-0.1347;
jGestureY.data[11]=-0.1156;
jGestureY.data[12]=0.1869;
jGestureY.data[13]=0.1735;
jGestureY.data[14]=-0.0808;
jGestureY.data[15]=-0.0298;
jGestureY.data[16]=0.2164;
jGestureY.data[17]=0.1813;
jGestureY.data[18]=-0.0151;
jGestureY.data[19]=0.0658;
jGestureY.data[20]=0.2225;
jGestureY.data[21]=0.0906;
jGestureY.data[22]=0.0671;
jGestureY.data[23]=0.1426;
jGestureY.data[24]=0.2045;
jGestureY.data[25]=-0.0017;
jGestureY.data[26]=0.1359;
jGestureY.data[27]=0.1135;
jGestureY.data[28]=0.1643;
jGestureY.data[29]=-0.0943;
jGestureY.data[30]=0.1788;
jGestureY.data[31]=0.0609;
jGestureY.data[32]=0.1063;
jGestureY.data[33]=-0.1863;
jGestureY.data[34]=0.2079;
jGestureY.data[35]=-0.0113;
jGestureY.data[36]=0.0368;
jGestureY.data[37]=-0.2658;
jGestureY.data[38]=0.2289;
jGestureY.data[39]=-0.1059;
jGestureY.data[40]=-0.0368;
jGestureY.data[41]=-0.1810;
jGestureY.data[42]=0.2438;
jGestureY.data[43]=-0.1334;
jGestureY.data[44]=-0.1063;
jGestureY.data[45]=-0.0894;
jGestureY.data[46]=0.2530;
jGestureY.data[47]=-0.1368;
jGestureY.data[48]=-0.1643;
jGestureY.data[49]=0.0025;
jGestureY.data[50]=0.2285;
jGestureY.data[51]=-0.1246;
jGestureY.data[52]=-0.2045;
jGestureY.data[53]=0.0941;
jGestureY.data[54]=0.1844;
jGestureY.data[55]=-0.0911;
jGestureY.data[56]=-0.2225;
jGestureY.data[57]=0.1844;
jGestureY.data[58]=0.1329;
jGestureY.data[59]=-0.0020;
jGestureY.data[60]=-0.2164;
jGestureY.data[61]=0.2658;
jGestureY.data[62]=0.0713;
jGestureY.data[63]=0.0839;
jGestureY.data[64]=-0.1869;
jGestureY.data[65]=0.2155;
jGestureY.data[66]=-0.0014;
jGestureY.data[67]=0.1434;
jGestureY.data[68]=-0.1371;
jGestureY.data[69]=0.1262;
jGestureY.data[70]=-0.0832;
jGestureY.data[71]=0.1926;
jGestureY.data[72]=-0.0725;
jGestureY.data[73]=0.0345;
jGestureY.data[74]=-0.1687;
jGestureY.data[75]=0.2359;
jGestureY.data[76]=-0.0000;
jGestureY.data[77]=-0.0580;
jGestureY.data[78]=-0.2530;
jGestureY.data[79]=0.2754;

