// code by jph

SDL_Surface*          jFont;
SDL_Surface*          jFond;
SDL_Surface*          jFong;
SDL_Surface*          jFonr;

SDL_Surface*          jBarR;
SDL_Surface*          jBarG;
SDL_Surface*          jBarB;
SDL_Surface*          jBarV;
SDL_Surface*          jBarY;
SDL_Surface*          jBarT;
SDL_Surface*          jBarO;

linked<std::string*>  jBulletin;          // use append
linked<std::string*>  jDeclared;          // use prepend

#define SDL_CREATERGBSURFACE(w,h) SDL_CreateRGBSurface(SDL_SWSURFACE,w,h,32,0xff0000,0xff00,0xff,0xff000000)

#define jIN_CAMERA               1        // use as   jIN_CAMERA<<0   ||   jIN_CAMERA<<1
#define jIN_MAP                  4
#define jEVERYWHERE              7        // cameras, front, map
#define jIN_TERRAINSTUB          8
#define jIN_TERRAINTRIA         16        

#define jHUD_MONITOR_X           0
#define jHUD_MONITOR_Y         160
#define jHUD_PALETTE_X           0
#define jHUD_PALETTE_Y          50
#define jHUD_CAMERA_X            0
#define jHUD_CAMERA_Y          360
#define jHUD_MAP_X             320
#define jHUD_MAP_Y               0
#define jBULLETIN_X     jHUD_MAP_X
#define jBULLETIN_Y     jHUD_MAP_Y


#define jSCREEN_W              920
#define jSCREEN_H              600
#define jCAMERA_W              320
#define jCAMERA_H              240
#define jPALETTE_W             320
#define jPALETTE_H              20

#define jCOL1                   14
#define jCOL2                  117
#define jCOL3                  220

#define jGRAY                  192
                          
#define jBAR_W                 100
#define jBAR_H                  11

#define jBAR_POWER_X         jCOL3
#define jBAR_POWER_Y             0
#define jBAR_BOOST_X         jCOL1
#define jBAR_BOOST_Y            22
#define jBAR_PTUPAN_X        jCOL2
#define jBAR_PTUPAN_Y           22
#define jBAR_PTUTIL_X        jCOL3
#define jBAR_PTUTIL_Y           22
#define jBAR_MARKER_M        jCOL1
#define jBAR_MARKER_R        jCOL2
#define jBAR_MARKER_P        jCOL3
#define jBAR_MARKER_Y           38

#define cICON_ROUTING_X      jCOL2+ 0
#define cICON_TRACKING_X     jCOL2+ 7
#define cICON_PROFILE_X      jCOL2+14
#define cICON_BLIT_X         jCOL2+21
#define cICON_SCREENSHOT_X   jCOL2+28
#define cICON_DOWNLINK_X     jCOL2+35
#define cICON_Y                  0

#define pBAR_MASTER_X        jCOL2
#define pBAR_MASTER_Y          104

#define jMAP_X                 300
#define jMAP_Y                 300
#define jMAP_W                 600
#define jMAP_H                 600
#define jVECTOR_M            0.24f
#define jGND2MAP                50        // needs to be integer
#define jMAP2GND             0.02f
#define jGND2MAP_INT            50        // in case jGND2MAP is 66.6666 or some other floating number
#define jGND2SNK             12.5f
#define jSNK2GND             0.08f

// jDrawString draws myString to mySDL_Surface at (x,y)
// tab character breaks line
void jDrawString(SDL_Surface* mySDL_Surface,SDL_Surface* myFont,const char* myString,int x,int y);

// draws frame around wld with COLor
void jDrawFrame(int mySDL_Surfaces,matrix<float> frm,Uint32 col);

// this jDraw serves functions &polygonRGBA and &filledPolygonRGBA
void jDraw(int mySDL_Surfaces,const matrix<float> &map,Uint32 col,int (*func)(SDL_Surface*,const Sint16*,const Sint16*,int,Uint8,Uint8,Uint8,Uint8));

// this jDraw serves functions &ellipseRGBA and &filledEllipseRGBA
void jDraw(int mySDL_Surfaces,float* wld,int rad,Uint32 col,int (*func)(SDL_Surface*,Sint16,Sint16,Sint16,Sint16,Uint8,Uint8,Uint8,Uint8));

// this jDraw writes the text directly to the coordinate systems
void jDraw(int mySDL_Surfaces,float* wld,char* myString);

void jDraw(int mySDL_Surfaces,float* wld,float* ray,Uint32 col,float sca);

bool jLocal2map(matrix<float> pnt,int& pix,int& piy);

bool jAtlas2map(matrix<float> pnt,int& pix,int& piy);
