// code by jph and chilly

import java.io.*;

public class Orion {
  
  static final int ORION_EXIT=256;
  
  static public void main(String[] args) {
    int c1;
    DataOutputStream myDataOutputStream;
    DataInputStream myDataInputStream;    
    double tmp;
    boolean recv;
    int cnt=0;
    Joyride.IP="192.168.1.187"; // when running from laptop
    if (0<args.length)
      Joyride.IP=args[0];
    try {
      myDataInputStream=new DataInputStream(new FileInputStream("orion.bin"));
      
      Joyride.open();     // open connection to joyride (the server on Marsokhod)
      Marsokhod.init();   // create instance of Marsokhod that will be updated by messages from joyride      
      //Marsokhod.UPS=3;    // fast indoor :-)
      System.out.println("Joyride opened");

      while ((Marsokhod.logic&ORION_EXIT)!=ORION_EXIT) {
        recv=false;
        while (32<=myDataInputStream.available()) {     // read from file
          Marsokhod.logic=myDataInputStream.readInt();  // logic
          Marsokhod.calib=myDataInputStream.readInt();  // calib          
          Marsokhod.led  =myDataInputStream.readInt();  // led
          Marsokhod.myControl[Marsokhod.PUSH].vd=myDataInputStream.readInt()*0.001; // forward
          Marsokhod.myControl[Marsokhod.TURN].vd=myDataInputStream.readInt()*0.001; // turning
          Marsokhod.myControl[Marsokhod.DIGG].vd=myDataInputStream.readInt()*0.001;
          Marsokhod.myControl[Marsokhod.ELEF].vd=myDataInputStream.readInt()*0.001;
          Marsokhod.myControl[Marsokhod.ELEB].vd=myDataInputStream.readInt()*0.001;
          cnt++;
          recv=true;
        }
        //if (recv) 
        //  System.out.println(" "+cnt+" "+Marsokhod.myControl[Marsokhod.PUSH].vd);
        Joyride.downlink(); // contains sleep
      }      
      Joyride.close();
      System.out.println("Joyride closed");
      
    } catch (Exception myException) {
      System.out.println(myException);      
    }    
    System.exit(0);
  }

}
