
@SuppressWarnings("unchecked")

public class RingBuffer<Item> {
  public Item[] myItem;
  public int head=0;
  public int tail=0;
  
  public RingBuffer(int sze,Item def) {
    int c1;
    myItem=(Item[])new Object[sze];    
    for (c1=0;c1<sze;c1++)
      myItem[c1]=def;
  }
  
  public void push(Item itm) {
    head%=myItem.length;
    myItem[head++]=itm;
    tail=head%myItem.length;
  }
  
  public Item pop() {
    Item ret=myItem[tail++];
    tail%=myItem.length;
    return ret;
  }
  
  // default client=demo func=hello world
  public static void main(String[] args) {
    int c1;
    RingBuffer<Double> myRingBuffer=new RingBuffer<Double>(3,new Double(0));
    //myRingBuffer.push(new Double(0));
    //myRingBuffer.push(new Double(1));
    //myRingBuffer.push(new Double(2));
    //myRingBuffer.push(new Double(3));
    //myRingBuffer.push(new Double(4));
    Double myD;
    for (c1=0;c1<3;c1++)
      System.out.println(""+String.format("%6.3f",(Double)myRingBuffer.pop()));
    System.out.println("-----");
    myRingBuffer.push(new Double(4));
    for (c1=0;c1<2;c1++)
      System.out.println(""+String.format("%6.3f",(Double)myRingBuffer.pop()));
    for (c1=0;c1<3;c1++)
      System.out.println(""+String.format("%6.3f",(Double)myRingBuffer.pop()));
    //System.out.println("-----");
    //for (c1=0;c1<3;c1++)
    //  System.out.println(""+String.format("%6.3f",(Double)myRingBuffer.pop()));
    //System.out.println("-----");
    //myRingBuffer.push(new Double(99));
    //for (c1=0;c1<4;c1++)
    //  System.out.println(""+String.format("%6.3f",(Double)myRingBuffer.pop()));
  }    
}
