void pParkings(void) {
  jDEBUG("pParkings")
  jInt[jINT_PARKING_COUNT]=0;
  pParks.clear();
  if (jTog[jTOG_SEEK_PARKING]&&pPARKING<jInt[jINT_TRACKING_SEGMENT]) {
    int c1;  
    matrix<float> pos;
    matrix<float> rng[pPARKING];
    matrix<float> frm(3,3,"eye");
    matrix<float> nrm;
    for (c1=0;c1<pPARKING;c1++)
      pTrack.token(rng[c1]);
    while(c1<jInt[jINT_TRACKING_SEGMENT]) {
      pTrack.token(pos);
      nrm=pos-rng[c1%pPARKING];
      nrm.normalize(2);
      frm.data[3]= nrm.data[0];
      frm.data[4]= nrm.data[1];
      frm.data[0]= frm.data[4];
      frm.data[1]=-frm.data[3];
      frm.data[6]= pos.data[0]+frm.data[0]*0.5f;
      frm.data[7]= pos.data[1]+frm.data[1]*0.5f;
      rng[c1%pPARKING]=pos;
      pos=frm.solve(pMover->pos.aff_pnt(2));
      pos.data[2]=0;
      float ang=atan2(pos.data[0],-pos.data[1]);  // angle with respect to front, left is positive
      if (cDensed(&(pInv*pMover->pos).data[6],&(pInv*frm).data[6])&&
          cDensed(&(pInv*pMover->pos).data[6], (pInv*frm*mOfs).data)&&
          cDensed(&(pInv*pMover->pos).data[6], (pInv*frm*mOfs).data)&&
          fabs(ang)<30*jDEG2RAD) {
        pParks.append(frm);
        jInt[jINT_PARKING_COUNT]++;
        jDrawFrame(jIN_MAP,pInv*frm,0xff8080ff);
        //sprintf(jChar,"parking at deg %6.3f ",ang*jRAD2DEG);
        //jBulletin.prepend(new std::string(jChar));
      }
      if (2.0f<pos.norm(2))
        break;
      c1++;
    }
    pTrack.reset();
  }
}

#define     pPRESSED    5

//linked<jPresson> jPress;

void pPressed(float& bot,float& top,float mrg) {
  if (2*mrg<top-bot) {
    bot+=mrg;
    top-=mrg;
  } else {
    bot+=(top-bot)*0.5f;
    top=bot;
  }
}

matrix<float> pPressed(matrix<float> ret,float dx0) {
  ret.data[6]+=ret.data[0]*dx0;
  ret.data[7]+=ret.data[1]*dx0;
  return ret;
}

jPresson pPress;
jPresson pPark;

void pPressed(void) {
  jDEBUG("pPressed")
  jPresson prs;
  pPress.type=0;
  pPark.type=0;
  //jPress.clear();
  int c1,c2,cnt=0;
  matrix<float> pos,nrm,frm;
  matrix<float> rng[pPRESSED];
  for (c1=0;c1<pPRESSED;c1++)
    pTrack.token(rng[c1]);
  frm=matrix<float>(3,3,"eye");
  while(c1<jInt[jINT_TRACKING_SEGMENT]) {
    pTrack.token(pos);
    nrm=pos-rng[c1%pPRESSED];
    nrm.normalize(2);
    frm.data[3]= nrm.data[0];
    frm.data[4]= nrm.data[1];
    frm.data[0]= frm.data[4];
    frm.data[1]=-frm.data[3];
    //frm.data[6]= rng[c1%pPARKING].data[0];
    //frm.data[7]= rng[c1%pPARKING].data[1];
    frm.data[6]= pos.data[0];
    frm.data[7]= pos.data[1];
    rng[c1%pPRESSED]=pos;
    prs.bot=-1.6f;
    prs.top= 1.6f;
    if (cDensed(pInv*frm.aff_pnt(2),frm.aff_vec(0),prs.bot,prs.top)) {
      pPressed(prs.bot,prs.top,0.02f);
      prs.frame=pPressed(frm,prs.top);
      jDraw(jIN_MAP,(pInv*prs.frame.aff_pnt(2)).data,1,0xffffffff,&ellipseRGBA);
      pos=prs.frame.solve(pMover->pos.aff_pnt(2)).aff_vec(0);
      float ang=atan2(pos.data[0],-pos.data[1]);  // angle with respect to front, left is positive
      if (cDensed(&(pInv*pMover->pos).data[6],(pInv*prs.frame.aff_pnt(2)).data)&&            
          cDensed(&(pInv*pMover->pos).data[6],(pInv*prs.frame*mOfs).data)&&
          fabs(atan2(pos.data[0],-pos.data[1]))<30*jDEG2RAD) {
        if (!pPress.type) {
          pPress=prs;
          pPress.type=1;
          jDraw(jIN_MAP,(pInv*pPress.frame.aff_pnt(2)).data,10,0xff00ff00,&ellipseRGBA);
        }
        if (0.5f<prs.top&&0.5f<prs.top-prs.bot&&!pPark.type) {
          pPark=prs;
          pPark.type=1;
          jDraw(jIN_MAP,(pInv*pPark.frame.aff_pnt(2)).data,9,0xff000000,&ellipseRGBA);
        }
        //jDrawFrame(jIN_MAP,pInv*prs.frame,0xff8080ff);
      }        
    }      
    c1++;
  }
  pTrack.reset();
  //if (pPress.type)
  //  jDraw(jIN_MAP,(pInv*pPress.frame.aff_pnt(2)).data,10,0xff00ff00,&ellipseRGBA);
  //if (pPark.type)
  //  jDraw(jIN_MAP,(pInv*pPark.frame.aff_pnt(2)).data,9,0xff000000,&ellipseRGBA);
  //  for (c1=0;c1<cnt-10;c1++) {
  //    for (c2=c1+1;c2<c1+10;c2++) {
  //      bot[c1]=MAX(bot[c1],bot[c2]);
  //      top[c1]=MIN(top[c1],top[c2]);
  //    }
  //    pPressed(bot[c1],top[c1],0.05f);
  //    jPress.next[2]=jPress.next[2]->next[0]; // this means to reset tokenizer:
  //    jPress.next[2]->data.bot=bot[c1];
  //    jPress.next[2]->data.top=top[c1];
  //  }
  //  jPress.reset();
  //  matrix<float> rep;
  //  while (jPress.token(prs)) {
  //    //jDrawFrame(jIN_MAP,pInv*prs.frm,0xff8080ff);
  //    //rep=pInv*prs.frm;
  //    //rep.data[6]+=rep.data[0]*prs.top;
  //    //rep.data[7]+=rep.data[1]*prs.top;
  //    //jDraw(jIN_MAP,&rep.data[6],1,0xff00ff00,&ellipseRGBA);
  //    //rep=pInv*prs.frm;
  //    //rep.data[6]+=rep.data[0]*prs.bot;
  //    //rep.data[7]+=rep.data[1]*prs.bot;
  //    //jDraw(jIN_MAP,&rep.data[6],1,0xffff0000,&ellipseRGBA);
  //  }
  //}
}

bool cDensed(matrix<float> pnt,matrix<float> dir,float& bot,float& top) {
  float c1,max=top;
  bool flg=false;  
  if (0.03f<dir.norm(2)) {
    dir.normalize(2);
    for (c1=bot;c1<max;c1+=0.02f)
      if (cDensed((pnt+dir*c1).data))
        if (!flg) {
          bot=c1;
          top=c1;
          flg=true;
        } else
          top=c1;
  }
  return flg;
}

bool pSplints(matrix<float> frm) {
  bool flg=false;
  if (1||jTic[jTOC_NEXT_SPLINT]<jTic[jTOC_LAST_SENSORS]) {
    int c1,cnt=0;
    int pix,piy;
    int bst,lst,nxt;
    matrix<float> hed(3,1); for (c1=0;c1<3;c1++) hed.data[c1]=frm.data[c1+3];
    matrix<float> tmp,dir(3,1);
    bst=lst=nxt=pRouting(&frm.data[6]);
    float cmp;    
    while (bst&&cnt<50) { // 4 meters
      cmp=-1;
      for (c1=0;c1<3;c1++)
        if (pSneakInt[bst+c1]&&pSneakInt[bst+c1]!=lst) {
          dir.data[0]=pSNK2GLB0(pSneakInt[bst+c1])-frm.data[6];
          dir.data[1]=pSNK2GLB1(pSneakInt[bst+c1])-frm.data[7];
          dir.normalize(2);
          if (cmp<(hed|dir)) {
            cmp=hed|dir;
            nxt=pSneakInt[bst+c1];
          }
        }
      lst=bst;
      bst=nxt;
      dir.data[0]=pSNK2GLB0(bst);
      dir.data[1]=pSNK2GLB1(bst);
      dir.data[2]=1;
      tmp=pInv*dir;
      pix=(int)(jMAP_X+tmp.data[1]*jGND2MAP);
      piy=(int)(jMAP_Y+tmp.data[0]*jGND2MAP);
      if (0<pix&&pix<jMAP_W&&0<piy&&piy<jMAP_H)
        if (cRouteDist[piy*jMAP_W+pix]<cTERRAIN&&5<cnt) {
          flg=true;
          pSplint=dir;
        }
      cnt++;
      if (flg&&10<cnt) { // small so that steep angle to approach center lane fast!
        jTic[jTOC_NEXT_SPLINT]=jTic[jTOC_LAST_SENSORS]+3000;        
        return true;
      }
    }
  }
  return flg;
}

